Bug 170670 - CAN-2005-3185 NTLM buffer overflow
CAN-2005-3185 NTLM buffer overflow
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Karsten Hopp
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-10-13 13:32 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-19 09:35:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-13 13:32:01 EDT
+++ This bug was initially created as a clone of Bug #170666 +++

The NTLM authentication code in wget was derived form the libcurl NTLM auth, so
wget is vulnerable to this issue.

This text was scavanged from the libcurl advisory:

libcurl's NTLM function can overflow a stack-based buffer if given a too long
user name or domain name. This would happen if you enable NTLM authentication
and either:

 A - pass in a user name and domain name to libcurl that together are longer
     than 192 bytes

 B - allow (lib)curl to follow HTTP "redirects" (Location: and the appropriate
     HTTP 30x response code) and the new URL contains a URL with a user name
     and domain name that together are longer than 192 bytes

-- Additional comment from bressers@redhat.com on 2005-10-13 13:24 EST --
Created an attachment (id=119931)
Proposed patch from upstream
Comment 1 Josh Bressers 2005-10-13 13:33:18 EDT
This issue also affects FC3
Comment 2 Mark J. Cox (Product Security) 2005-10-14 06:24:21 EDT
On Fedora Core 4 this is not a security issue; wget is compiled using
-D_FORTIFY_SOURCE=2 which catches and blocks this issue.  Therefore on Fedora
Core 4 this can only result in the program being aborted, which is not classed
as a security issue.

Please make a note of this in the advisory of any FC4 update to wget.
Comment 3 Fedora Update System 2005-10-17 12:20:50 EDT
From User-Agent: XML-RPC

wget-1.10.2-0.fc4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.